// show row percentages (esp. nat. amer.) to illustrate influence of margins 
use homogamy, clear
tab racem racef [fw=freq] if marcoh == 2010, row nofreq

// considerable OR nat. amer. wife v. white whive for nativ. amer. or white husband
// digression?
tab racem racef [fw=freq] if marcoh == 2010
di 59227 / 59096
di 61383 / 11842951
di (59227 / 59096)/(61383 / 11842951)

// expected counts
tab racem racef [fw=freq] if marcoh==2010, exp

// standardized table
stdtable racem racef [fw=freq] if marcoh == 2010 

// show that ORs in standardized and raw data are equal
stdtable racem racef [fw=freq] if marcoh == 2010, raw format(%10.6g)
di (59227/59096)/(61383/11842951)
di (88.3671/ 6.31709)/(5.43302/ 75.1003)

// nicer format
stdtable racem racef [fw=freq] if marcoh == 2010, ///
         cellwidth(9) format(%5.0f)  

// graph results		 
stdtable racem racef [fw=freq],              ///
    cellwidth(9) format(%5.0f)               ///
    by(marcoh) replace
	
tabplot racem marcoh [iw=std],               ///
    by(racef, compact note("") cols(5))      ///
    xlab( 1(1)6, angle(35) labsize(vsmall) ) ///
    showval( format(%5.0f))

// Illustrate how IPF works
// first load data in Mata
use homogamy, clear
tab racem racef [fw=freq] if marcoh==2010, matcell(data)
mata
data = st_matrix("data")
data
end

// fix the rows to 100
mata
muhat = data

muhat = muhat:/rowsum(muhat):*100
muhat
rowsum(muhat)
colsum(muhat)
end

// fix the cols to 100
mata
muhat = muhat:/colsum(muhat):*100
muhat
rowsum(muhat)
colsum(muhat)
end

// repeat
mata
muhat = muhat:/rowsum(muhat):*100
muhat
rowsum(muhat)
colsum(muhat)

muhat = muhat:/colsum(muhat):*100
muhat
rowsum(muhat)
colsum(muhat)
end
