//section Standardized tables
//slide ------------------------------------------------------------------------
//title The influence of marginal distributions
//ex 
use homogamy, clear
tab racem racef [fw=freq] if marcoh == 2010, row nofreq
//endex
//endslide ---------------------------------------------------------------------

//slide ------------------------------------------------------------------------
//title Odds ratios
// digression?
//ex
tab racem racef [fw=freq] if marcoh == 2010
di 59227 / 59096
di 61383 / 11842951
di (59227 / 59096)/(61383 / 11842951)
//endex
//endslide ---------------------------------------------------------------------

//slide ------------------------------------------------------------------------
//title standardizing tables

//ex
tab racem racef [fw=freq] if marcoh==2010, exp
//endex

//ex
stdtable racem racef [fw=freq] if marcoh == 2010 
//endex

// show that ORs in standardized and raw data are equal

//ex
stdtable racem racef [fw=freq] if marcoh == 2010, raw format(%10.6g)
di (59227/59096)/(61383/11842951)
di (88.3671/ 6.31709)/(5.43302/ 75.1003)
//endex
//endslide ---------------------------------------------------------------------


//slide ------------------------------------------------------------------------
//title Displaying results from stdtable
//ex
stdtable racem racef [fw=freq] if marcoh == 2010, ///
         cellwidth(9) format(%5.0f)  
//endex

//ex
stdtable racem racef [fw=freq],              ///
    cellwidth(9) format(%5.0f)               ///
    by(marcoh) replace
	
tabplot racem marcoh [iw=std],               ///
    by(racef, compact note("") cols(5))      ///
    xlab( 1(1)6, angle(35) labsize(vsmall) ) ///
    showval( format(%5.0f))
//endex
//endslide ---------------------------------------------------------------------

//section Illustrate how IPF works
//slide ------------------------------------------------------------------------
//title Making all the row totals 100

// first load data in Mata
//ex
use homogamy, clear
tab racem racef [fw=freq] if marcoh==2010, matcell(data)
mata
data = st_matrix("data")
data
end
//endex

//ex
mata
muhat = data

muhat = muhat:/rowsum(muhat):*100
muhat
rowsum(muhat)
colsum(muhat)
end
//endex
//endslide ---------------------------------------------------------------------

//slide ------------------------------------------------------------------------
//title  Making all the colum totals 100
//ex
mata
muhat = muhat:/colsum(muhat):*100
muhat
rowsum(muhat)
colsum(muhat)
end
//endex
//endslide ---------------------------------------------------------------------

//slide ---------------------------------------------------------------------
//title repeat
//ex
mata
muhat = muhat:/rowsum(muhat):*100
muhat
rowsum(muhat)
colsum(muhat)

muhat = muhat:/colsum(muhat):*100
muhat
rowsum(muhat)
colsum(muhat)
end
//endex
//endslide
