
//section standardizing cross-tabulations

//slide ------------------------------------------------------------------------
//title The influence of marginal distributions

//ex
use homogamy, clear
tab racem racef [fw=freq] if marcoh == 2010, row nofreq
//endex

//endslide ---------------------------------------------------------------------

//slide ------------------------------------------------------------------------
//title Odds ratios
//ex
tab racem racef [fw=freq] if marcoh == 2010
di 122904 / 136200
di 134486 / 31956989
di (122904 / 136200)/(134486 / 31956989)
//endex
//endslide ---------------------------------------------------------------------


//slide ------------------------------------------------------------------------
//title Standardizing tables
//ex
tab racem racef [fw=freq] if marcoh==2010, exp
//endex

//ex
stdtable racem racef [fw=freq] if marcoh == 2010
//endex
//endslide ---------------------------------------------------------------------

//slide ------------------------------------------------------------------------
//title Displaying results from stdtable

//ex
stdtable racem racef [fw=freq] if marcoh == 2010, ///
         format(%5.0f)  
//endex

//ex		 
stdtable racem racef [fw=freq], by(marcoh) format(%5.0f)
//endex

//ex
qui stdtable racem racef [fw=freq],          ///
    by(marcoh) replace
	
tabplot racem marcoh [iw=std],               ///
    by(racef, compact note("") cols(6)       ///
	   t1title("race, wife"))                ///
    xlab( 1(1)7, angle(35) labsize(vsmall) )		 
//endex
//endslide ---------------------------------------------------------------------

//section Estimation
//slide ------------------------------------------------------------------------
//title Iterative Proportional fitting

//ex
use homogamy, clear
tab racem racef [fw=freq] if marcoh == 2010, matcell(data)

mata
data = st_matrix("data")

muhat = data

muhat = muhat:/rowsum(muhat):*100
end
//endex

//ex
mata
muhat = muhat:/colsum(muhat):*100
colsum(muhat)
rowsum(muhat)
end
//endex

//ex
mata
muhat = muhat:/rowsum(muhat):*100
muhat = muhat:/colsum(muhat):*100

muhat = muhat:/rowsum(muhat):*100
muhat = muhat:/colsum(muhat):*100

muhat = muhat:/rowsum(muhat):*100
muhat = muhat:/colsum(muhat):*100

muhat = muhat:/rowsum(muhat):*100
muhat = muhat:/colsum(muhat):*100
colsum(muhat)
rowsum(muhat)
end
//endex
//endslide ---------------------------------------------------------------------

//slide ------------------------------------------------------------------------
//title Can all tables be standardized?

/*
        0 0 2
        1 5 2
        8 7 0
*/
//endslide ---------------------------------------------------------------------